## gcc-8-cross-mipsen 2ubuntu1

=== debian/changelog ===
gcc-8-cross-mipsen (2ubuntu1) disco; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Jan 2019 17:16:04 +0100

gcc-8-cross-mipsen (2) experimental; urgency=medium

  * Remove non-needed packages to packages.invalid. 

 -- YunQiang Su <syq@debian.org>  Mon, 20 Aug 2018 17:39:14 +0800

gcc-8-cross-mipsen (1) experimental; urgency=medium

  * Init release based on gcc-8-cross ver 20.

 -- YunQiang Su <syq@debian.org>  Wed, 15 Aug 2018 23:55:19 +0200
