=== debian/control ===
Source: gcc-8-cross-mipsen
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.2.0
Build-Depends: gcc-8-source (>= 8.2.0-4~), binutils-multiarch (>= 2.30-11),
  autoconf2.64, autogen, bison (>= 1:2.3),
  chrpath, debhelper (>= 9), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
  gperf (>= 3.0.1), 
  binutils-mips64-linux-gnuabi64 (>= 2.30-11) [amd64 i386 x32], binutils-mips-linux-gnu (>= 2.30-11) [amd64 i386 x32], binutils-mipsel-linux-gnu (>= 2.30-11) [amd64 i386 x32], binutils-mips64el-linux-gnuabi64 (>= 2.30-11) [amd64 i386 x32], binutils-mipsisa32r6-linux-gnu (>= 2.30-11) [amd64 i386 x32], binutils-mipsisa32r6el-linux-gnu (>= 2.30-11) [amd64 i386 x32], binutils-mipsisa64r6-linux-gnuabi64 (>= 2.30-11) [amd64 i386 x32], binutils-mipsisa64r6el-linux-gnuabi64 (>= 2.30-11) [amd64 i386 x32],
  libc6-dev-mips64-cross (>= 2.27) [amd64 i386 x32], libc6-dev-mips-cross (>= 2.27) [amd64 i386 x32], libc6-dev-mipsel-cross (>= 2.27) [amd64 i386 x32], libc6-dev-mips64el-cross (>= 2.27) [amd64 i386 x32], libc6-dev-mipsr6-cross (>= 2.27) [amd64 i386 x32], libc6-dev-mipsr6el-cross (>= 2.27) [amd64 i386 x32], libc6-dev-mips64r6-cross (>= 2.27) [amd64 i386 x32], libc6-dev-mips64r6el-cross (>= 2.27) [amd64 i386 x32], libc6-dev-mips64-mips-cross [amd64 i386 x32], libc6-dev-mipsn32-mips-cross [amd64 i386 x32], libc6-dev-mips64-mipsel-cross [amd64 i386 x32], libc6-dev-mipsn32-mipsel-cross [amd64 i386 x32], libc6-dev-mips32-mips64-cross [amd64 i386 x32], libc6-dev-mipsn32-mips64-cross [amd64 i386 x32], libc6-dev-mips32-mips64el-cross [amd64 i386 x32], libc6-dev-mipsn32-mips64el-cross [amd64 i386 x32], libc6-dev-mips64-mipsr6-cross [amd64 i386 x32], libc6-dev-mipsn32-mipsr6-cross [amd64 i386 x32], libc6-dev-mips64-mipsr6el-cross [amd64 i386 x32], libc6-dev-mipsn32-mipsr6el-cross [amd64 i386 x32], libc6-dev-mips32-mips64r6-cross [amd64 i386 x32], libc6-dev-mipsn32-mips64r6-cross [amd64 i386 x32], libc6-dev-mips32-mips64r6el-cross [amd64 i386 x32], libc6-dev-mipsn32-mips64r6el-cross [amd64 i386 x32],
  linux-libc-dev-mips64-cross [amd64 i386 x32], linux-libc-dev-mips-cross [amd64 i386 x32], linux-libc-dev-mipsel-cross [amd64 i386 x32], linux-libc-dev-mips64el-cross [amd64 i386 x32], linux-libc-dev-mipsr6-cross [amd64 i386 x32], linux-libc-dev-mipsr6el-cross [amd64 i386 x32], linux-libc-dev-mips64r6-cross [amd64 i386 x32], linux-libc-dev-mips64r6el-cross [amd64 i386 x32],
  libisl-dev (>= 0.14-1~), libmpc-dev,
  libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
  dwz, pkg-config, libgc-dev,
  patchutils, procps, quilt, coreutils (>= 2.26) | realpath (>= 1.9.12), sharutils, texinfo (>= 4.3),
  g++-8,
  gccgo-8,
  gdc-8,
  gnat-8 [!m32r !sh3 !sh3eb !sh4eb],
  xz-utils, zlib1g-dev, python3
Build-Conflicts: gcc-multilib,
  libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386]
Homepage: http://gcc.gnu.org/

Package: gcc-8-cross-base-mipsen
Architecture: all
Section: devel
Priority: optional
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (library base package)
 This package contains files common to all libraries
 contained in the GNU Compiler Collection (GCC).

Package: gcc-8-mips64-linux-gnuabi64-base
Architecture: amd64 i386 x32
Section: devel
Priority: optional
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc1-mips64-cross
Architecture: all
Section: devel
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libgcc1-mips64-dcv1
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.
 .
 This package contains files for mips64 architecture, for use in cross-compile
 environment.

Package: libgcc-8-dev-mips64-cross
Architecture: all
Section: libdevel
Priority: optional
Recommends: ${dep:libcdev}
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libitm}, ${dep:libatomic}, ${dep:libbtrace}, ${dep:libasan}, ${dep:liblsan}, ${dep:libtsan}, ${dep:libubsan}, ${dep:libvtv}${dep:libqmath}, ${dep:libunwinddev}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-8 (<< ${gcc:SplitVersion})
Description: GCC support library (development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: libgcc1-dbg-mips64-cross
Architecture: all
Section: debug
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), libgcc1-mips64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for mips64 architecture, for use in cross-compile
 environment.

Package: libgcc2-dbg-mips64-cross
Architecture: all
Section: debug
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), libgcc2-mips64-cross (= ${gcc:Version}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for mips64 architecture, for use in cross-compile
 environment.

Package: libgcc4-dbg-mips64-cross
Architecture: all
Section: debug
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), libgcc4-mips64-cross (= ${gcc:Version}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for mips64 architecture, for use in cross-compile
 environment.

Package: lib64gcc1-dbg-mips64-cross
Architecture: all
Section: debug
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), lib64gcc1-mips64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for mips64 architecture, for use in cross-compile
 environment.

Package: lib32gcc1-mips64-cross
Architecture: all
Section: devel
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Conflicts: ${confl:lib32}
Provides: lib32gcc1-mips64-dcv1
Description: GCC support library (32 bit Version)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.
 .
 This package contains files for mips64 architecture, for use in cross-compile
 environment.

Package: lib32gcc-8-dev-mips64-cross
Architecture: all
Section: libdevel
Priority: optional
Recommends: ${dep:libcdev}
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch}, ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch}, ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch}, ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libvtvbiarch}, ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-8-multilib (<< ${gcc:SplitVersion})
Description: GCC support library (32 bit development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: lib32gcc1-dbg-mips64-cross
Architecture: all
Section: debug
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), lib32gcc1-mips64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for mips64 architecture, for use in cross-compile
 environment.

Package: libhfgcc1-dbg-mips64-cross
Architecture: all
Section: debug
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), libhfgcc1-mips64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for mips64 architecture, for use in cross-compile
 environment.

Package: libsfgcc1-dbg-mips64-cross
Architecture: all
Section: debug
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), libsfgcc1-mips64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for mips64 architecture, for use in cross-compile
 environment.

Package: libn32gcc1-mips64-cross
Architecture: all
Section: devel
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Provides: libn32gcc1-mips64-dcv1
Conflicts: libgcc1-mips64-cross (<= 1:3.3-0pre9)
Description: GCC support library (n32)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.
 .
 This package contains files for mips64 architecture, for use in cross-compile
 environment.

Package: libn32gcc-8-dev-mips64-cross
Architecture: all
Section: libdevel
Priority: optional
Recommends: ${dep:libcdev}
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch}, ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch}, ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch}, ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libvtvbiarch}, ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-8-multilib (<< ${gcc:SplitVersion})
Description: GCC support library (n32 development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: libn32gcc1-dbg-mips64-cross
Architecture: all
Section: debug
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), libn32gcc1-mips64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for mips64 architecture, for use in cross-compile
 environment.

Package: libx32gcc1-dbg-mips64-cross
Architecture: all
Section: debug
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), libx32gcc1-mips64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for mips64 architecture, for use in cross-compile
 environment.

Package: gcc-8-mips64-linux-gnuabi64
Architecture: amd64 i386 x32
Section: devel
Priority: optional
Depends: gcc-8-mips64-linux-gnuabi64-base (= ${gcc:Version}), cpp-8-mips64-linux-gnuabi64 (= ${gcc:Version}), binutils-mips64-linux-gnuabi64 (>= ${binutils:Version}), libgcc-8-dev-mips64-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Suggests: ${gcc:multilib}, gcc-8-doc (>= ${gcc:SoftVersion}), gcc-8-locales (>= ${gcc:SoftVersion}), libgcc1-dbg-mips64-cross, libgomp1-dbg-mips64-cross, libitm1-dbg-mips64-cross, libatomic1-dbg-mips64-cross, libtsan0-dbg-mips64-cross, libbacktrace1-dbg-mips64-cross, libquadmath-dbg-mips64-cross, ${dep:libcloog}, ${dep:gold}
Provides: c-compiler-mips64-linux-gnuabi64
Description: GNU C compiler
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This package contains C cross-compiler for mips64 architecture.

Package: gcc-8-multilib-mips64-linux-gnuabi64
Architecture: amd64 i386 x32
