## gcc-8-cross-mipsen 3~c1

=== debian/changelog ===
gcc-8-cross-mipsen (3~c1) unstable; urgency=medium

  * sync changes from gcc-8-cross (29).

 -- YunQiang Su <syq@debian.org>  Fri, 02 Aug 2019 08:46:40 +0800
