=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,18 @@
 $(space) := 
 $(space) +=
 
-NJOBS =
 # Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
 ifneq (,$(filter parallel=%,$(subst $(,), ,$(DEB_BUILD_OPTIONS))))
-  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(,),$(space),$(DEB_BUILD_OPTIONS))))
-endif
+  JOBS := $(subst parallel=,,$(filter parallel=%,$(subst $(,),$(space),$(DEB_BUILD_OPTIONS))))
+  ifeq ($(JOBS),1)
+    JOBS := 2
+  endif
+else
+  JOBS := 2
+endif
+DEB_BUILD_OPTIONS := $(filter-out parallel=%,$(DEB_BUILD_OPTIONS)) parallel=$(JOBS)
+export DEB_BUILD_OPTIONS
+NJOBS = -j $(JOBS)
 
 vendor := $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; else echo Debian; fi)
 
@@ -42,8 +49,8 @@
 endif
 
 ifeq ($(GCC_VER),8)
-  MIN_VER_GCC      := 8.2.0-4~
-  PPA_VER_GCC      := 8.2.0-4~
+  MIN_VER_GCC      := 8.3.0-7~
+  PPA_VER_GCC      := 8.3.0-7~
 endif
 
 ifndef MIN_VER_GCC
@@ -53,7 +60,11 @@
 
 DEB_NAME_ACT     := $(shell dpkg-parsechangelog| sed -n 's/-*//; s/^Source: \(.*\)/\1/p')
 DEB_SVER_ACT     := $(shell dpkg-parsechangelog| sed -n 's/-*//; s/^Version: \(.*\)/\1/p')
-DEB_VER_ACT      := $(shell /bin/sh debian/new_cross_version.sh $(if $(filter $(DEB_NAME_ACT), gcc-8-cross),arm64,ppc64))
+ifeq ($(DEB_NAME_ACT),gcc-8-cross-mipsen)
+  DEB_VER_ACT      := $(shell /bin/sh debian/new_cross_version.sh mipsr6el)
+else
+  DEB_VER_ACT      := $(shell /bin/sh debian/new_cross_version.sh $(if $(filter $(DEB_NAME_ACT), gcc-8-cross),arm64,ppc64))
+endif
 CROSS_EXT       := cross$(DEB_VER_ACT)
 
 VER_GCC        := $(shell dpkg-parsechangelog -l/usr/src/gcc-${GCC_VER}/debian/changelog | awk '/^Version:/ {print $$2}' | sed 's/-[^-]*$$//')
@@ -128,7 +139,6 @@
   else ifeq ($(DEB_NAME_ACT),gcc-8-cross-mipsen)
     ifneq (,$(filter $(HOST_ARCH),amd64 i386 x32))
       CROSS_ARCHS  ?= mips64 \
-        $(if $(filter $(vendor), Ubuntu), mips mipsel mips64el) \
         mipsr6 mipsr6el mips64r6 mips64r6el
       # n32: mipsn32 mipsn32el mipsn32r6 mipsn32r6el
       # have problem on ada
@@ -136,12 +146,13 @@
     GCC_PORTS_BUILD=-mipsen
   else # -ports package
     ifneq (,$(filter $(HOST_ARCH),amd64 i386 x32))
-      CROSS_ARCHS  ?= alpha hppa m68k mips64 powerpcspe ppc64 riscv64 sh4 sparc64 \
+      CROSS_ARCHS  ?= alpha hppa m68k powerpcspe ppc64 riscv64 sh4 sparc64 \
+		$(if $(filter $(vendor), Ubuntu), mips mipsel mips64el, powerpc) \
 		$(if $(filter $(HOST_ARCH), amd64 i386), x32)
     else ifeq ($(HOST_ARCH),arm64)
       CROSS_ARCHS = x32
     else ifeq ($(HOST_ARCH),ppc64el)
-      CROSS_ARCHS = x32 $(if $(filter $(vendor), Ubuntu),, powerpc) armel armhf arm64
+      CROSS_ARCHS = x32 $(if $(filter $(vendor), Ubuntu),, powerpc)
     else
       CROSS_ARCHS =
     endif
@@ -174,7 +185,7 @@
 #  skip_common_packages = yes
 #endif
 
-BINUTILS_BUILD_DEPS = $(foreach a,$(CROSS_ARCHS),binutils-$(call _pkg_gnu_type,$(a)) (>= $(MIN_VER_BINUTILS)) [$(HOST_ARCHS_$(a))]$(,))
+BINUTILS_BUILD_DEPS = $(foreach a,$(CROSS_ARCHS),binutils-$(call _pkg_gnu_type,$(a)):any (>= $(MIN_VER_BINUTILS)) [$(HOST_ARCHS_$(a))]$(,))
 GLIBC_BUILD_DEPS = $(foreach a,$(CROSS_ARCHS),libc6$(if $(filter $(a),alpha ia64),.1)-dev-$(a)-cross (>= $(MIN_VER_GLIBC)) [$(HOST_ARCHS_$(a))]$(,))
 LINUX_BUILD_DEPS = $(foreach a,$(CROSS_ARCHS),linux-libc-dev-$(a)-cross [$(HOST_ARCHS_$(a))]$(,))
 
@@ -217,11 +228,3 @@
   EXTRA_BUILD_DEPS += libc6-dev-i386-x32-cross [$(HOST_ARCHS_x32)],
   EXTRA_BUILD_DEPS += libc6-dev-amd64-x32-cross [$(HOST_ARCHS_x32)],
   ifeq ($(skip_common_packages),yes)
-    GCC_BUILD_DEPS += lib32gcc1-x32-cross [$(HOST_ARCHS_x32)],
-    GCC_BUILD_DEPS += lib64gcc1-x32-cross [$(HOST_ARCHS_x32)],
-  endif
-endif
-
-ifneq (,$(filter ppc64, $(CROSS_ARCHS)))
-  EXTRA_BUILD_DEPS += libc6-dev-powerpc-ppc64-cross [$(HOST_ARCHS_ppc64)],
-  ifeq ($(skip_common_packages),yes)
